/**
 * @copyright Evercool
 * @author Epalazue (edoardo@nucliux.mx)
 * @version 1.0.0 (Diciembre 2024)
 * @since 1.0.0
 */

/*Importación de otros estilos*/
@import "reset.css";

/*Tipografías*/
@font-face{
	src: url("fonts/Gotham-Medium.otf");
	font-family: "Gotham";
	font-weight: 400;
}

@font-face{
	src: url("fonts/Gotham-Bold.otf");
	font-family: "Gotham";
	font-weight: 700;
}

/*Página*/
html,body{
	background-color: #F9C1D0;
	width: 100%;
	height: 100%;
	color: #292929;
	font-family: "Gotham", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
	font-size: 2.5vw;
}

.tarjeta{
	position: relative;
	width: 100%;
}

.tarjeta__contenedor{
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	position: relative;
	z-index: 10;
	margin: 0 35%;
	padding: 5vh 1%;
	width: 28%;
	height: 90vh;

	display: -webkit-flex;
	-webkit-flex-direction: column;
	-webkit-justify-content: space-between;
	-webkit-align-items: center;
}

.tarjeta__superior{
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;

	display: -webkit-flex;
	-webkit-flex-direction: column;
	-webkit-align-items: center;
}

.tarjeta__superior p{
	margin-bottom: 3vh;
	font-weight: 700;
}

.tarjeta__logo{
	margin-bottom: 10vh;
	margin-left: 50%;
	width: 50%;
	height: auto;
	object-fit: contain;
}

.tarjeta__enlace{
	width: 50%;
}

.tarjeta__enlace img{
	margin-bottom: 1vh;
	width: 100%;
	height: auto;
	object-fit: contain;

	transition: all 0.3s ease;
	-webkit-transition: all 0.3s ease;
}

.tarjeta__enlace img:hover{
	transform: scale(1.1,1.1);
	-webkit-transform: scale(1.1,1.1);
}

.tarjeta__inferior{
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;

	display: -webkit-flex;
	-webkit-flex-direction: column;
	-webkit-align-items: center;
}

.tarjeta__social{
	display: flex;
	align-items: center;

	display: -webkit-flex;
	-webkit-align-items: center;
}

.tarjeta__social img{
	margin: 0 1vw;
	width: auto;
	height: 3vh;
	object-fit: contain;

	transition: all 0.3s ease;
	-webkit-transition: all 0.3s ease;
}

.tarjeta__social img:hover{
	transform: scale(1.2,1.2);
	-webkit-transform: scale(1.2,1.2);
}

/*Estilo para media pantalla
______________________________*/
@media only screen and (max-width: 1024px){
	html,body{
		font-size: 6vw;
	}

	.tarjeta video{
		left: 0;
		width: 100%;
		height: 100vh;
		object-fit: cover;
	}

	.tarjeta__contenedor{
		margin: 0;
		padding: 5vh 5%;
		width: 90%;
	}

	.tarjeta__social img{
		margin: 0 2vw;
	}
}

/*Estilo para móviles
______________________________*/
@media only screen and (max-device-width: 465px) and (max-aspect-ratio: 13/9){
	html,body{
		font-size: 8vw;
	}

	.tarjeta__contenedor{
		height: auto;
	}

	.tarjeta__enlace{
		width: 60%;
	}	

	.tarjeta__inferior{
		margin-top: 15vh;
	}

	.tarjeta__social img{
		margin: 0 3vw;
	}
}
